Bug 1571015 - python-SecretStorage-3.0.1 is available
Summary: python-SecretStorage-3.0.1 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-SecretStorage
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1632436 1632841
Blocks: 1712490
TreeView+ depends on / blocked
 
Reported: 2018-04-24 00:25 UTC by Upstream Release Monitoring
Modified: 2019-08-03 07:54 UTC (History)
4 users (show)

Fixed In Version: python-SecretStorage-3.1.0-1.fc30
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-18 16:20:10 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2018-04-24 00:25:25 UTC
Latest upstream release: 3.0.0
Current version/release in rawhide: 2.3.1-8.fc29
URL: https://pypi.python.org/pypi/SecretStorage

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4020/

Comment 1 Upstream Release Monitoring 2018-04-24 12:25:11 UTC
Latest upstream release: 3.0.1
Current version/release in rawhide: 2.3.1-8.fc29
URL: https://pypi.python.org/pypi/SecretStorage

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4020/

Comment 2 Charalampos Stratakis 2018-09-24 17:50:37 UTC
SecretStorage has changed its dependency from dbus-python to jeepney [0] which hasn't been packaged in Fedora yet.


[0] https://pypi.org/project/jeepney/

Comment 3 Charalampos Stratakis 2018-09-24 17:53:19 UTC
Also upstream has dropped support from python2. We might want to hold on the update till all of the dependents have been ported.

Comment 4 Raphael Groner 2018-09-24 18:55:13 UTC
Python2 is going to be removed with Fedora 30, what (not ported) dependencies of python2-SecretStorage are there?

Comment 5 Miro Hrončok 2018-09-24 19:04:30 UTC
> Python2 is going to be removed with Fedora 3

this is certainly not true!

> what (not ported) dependencies of python2-SecretStorage are there?

http://fedora.portingdb.xyz/pkg/python-SecretStorage/ says:

http://fedora.portingdb.xyz/pkg/python-keyring/
  

that has a lot of depending stuff.

Also see:

https://github.com/jaraco/keyring/blob/5a887c13c9033951e9a7ac2d356cecc0cd95963f/setup.py#L60

I guess we split this into two and orphan the python2 version. keyring maintainer might want to take it.

I'll look into it.

Comment 6 Raphael Groner 2018-09-24 19:10:32 UTC
(In reply to Miro Hrončok from comment #5)
> > Python2 is going to be removed with Fedora 3
> 
> this is certainly not true!

Oh, my comment wasn't clear enough about "only providing python2 importable modules", sorry.

<snip>
> I'll look into it.

Thanks a lot.

Comment 9 Miro Hrončok 2018-09-24 22:18:01 UTC
Also note https://github.com/pypa/wheel/commit/d3f5918ccbb1c79e2fc42b7766626a0aa20dc438 and https://src.fedoraproject.org/rpms/python-twine/pull-request/1 - we will certainly not need this thing in a bit, so we can later orphan the python2 package without regret.

Comment 11 Miro Hrončok 2018-10-18 16:20:10 UTC
Done. python2 subpackage dropped.

Comment 12 Raphael Groner 2019-08-03 07:45:36 UTC
Miro, could you do a statement in bug #1712490 about the version bump?

Comment 13 Miro Hrončok 2019-08-03 07:53:12 UTC
(In reply to Raphael Groner from comment #12)
> Miro, could you do a statement in bug #1712490 about the version bump?

What statement?

Comment 14 Raphael Groner 2019-08-03 07:54:55 UTC
(In reply to Miro Hrončok from comment #13)
> (In reply to Raphael Groner from comment #12)
> > Miro, could you do a statement in bug #1712490 about the version bump?
> 
> What statement?

The reporter is complaining there about lost functionality.


Note You need to log in before you can comment on or make changes to this bug.